<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-network-manager" xml:lang="ko">

  <info>
    <link type="guide" xref="tech" group="network-manager"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>네트워크 연결 관리 및 온/오프라인 상태 감시</desc>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>조성호</mal:name>
      <mal:email>shcho@gnome.org</mal:email>
      <mal:years>2016, 2017, 2018.</mal:years>
    </mal:credit>
  </info>

<title>NetworkManager</title>

  <p>NetworkManager는 컴퓨터 네트워크 연결을 관리합니다. 네트워크를 처음 활성화할 때 컴퓨터의 IP 주소를 가져오는 DHCP 연결 처리 과정을 다룹니다. 사용자에게 유/무선 네트워크를 선택하고, 가상 개인 네트워크(VPN)에 연결하며, 모뎀으로 네트워크에 연결할 수 있게 합니다.</p>

  <p>NetworkManager에서는 프로그램에서 네트워크 연결을 관리할 수 있는 확장 API를 제공합니다. 그러나, 대부분 핵심 데스크톱 자체에 구현한 프로그램에만 관심이 있을 법한 부분입니다. 보통 프로그램에서는 컴퓨터의 온/오프라인 상태를 확인하고, 네트워크 관련 기타 고수준 작업을 수행할 목적으로 NetworkManager의 API를 활용할 수 있습니다.</p>

  <p>그놈 핵심 데스크톱 셸에서는 상황에 따라 다양한 NetworkManager 아이콘이 있습니다. 사용자의 설정에 따라 네트워크 설정이 바뀔때 자체적으로 NetworkManager API를 활용합니다. 에볼루션 같은 프로그램도 마찬가지로 컴퓨터의 온/오프라인 상태를 확인할 때 NetworkManager를 활용합니다.</p>

  <list style="compact">
    <item><p><link href="https://wiki.gnome.org/Projects/NetworkManager">NetworkManager 홈 페이지</link></p></item>
    <item><p><link href="https://wiki.gnome.org/Projects/NetworkManager/Developers">NetworkManager API 참고서</link></p></item>
  </list>


</page>
